Subject: Re: [PATCH 09/28] Remove ATHEROS_AR231X

From: "John W. Linville" <[email-masked]>
Date: Thu, 11 Sep 2014 15:21:46 -0400

On Wed, Sep 10, 2014 at 04:19:21PM +0400, Sergey Ryazanov wrote:
> 2014-09-10 15:36 GMT+04:00, Jiri Slaby <[email-masked]>:
> > On 09/10/2014, 12:33 PM, Sergey Ryazanov wrote:
> >> 2014-09-09 22:27 GMT+04:00, John W. Linville <[email-masked]>:
> >>> On Fri, Sep 05, 2014 at 04:02:10PM +0400, Sergey Ryazanov wrote:
> >>>> 2014-09-05 15:33 GMT+04:00 Paul Bolle <[email-masked]>:
> >>>>> Hi Sergey,
> >>>>>
> >>>>> On Fri, 2014-09-05 at 15:12 +0400, Sergey Ryazanov wrote:
> >>>>>> 2014-09-05 14:10 GMT+04:00, Paul Bolle <[email-masked]>:
> >>>>>>> On Wed, 2014-06-18 at 13:46 +0200, Paul Bolle wrote:
> >>>>>>>> Having this conversation every rc1 is getting a bit silly. Could
> >>>>>>>> Jiri
> >>>>>>>> e.a. perhaps set some specific deadline for ATHEROS_AR231X to be
> >>>>>>>> submitted?
> >>>>>>>
> >>>>>>> I waited until rc3. Have you seen any activity on this front? If
> >>>>>>> not,
> >>>>>>> should I resend the patch that removes the code in mainline that
> >>>>>>> depends
> >>>>>>> on ATHEROS_AR231X (ie, AHB bus support)?
> >>>>>>>
> >>>>>> Recent activity always could be found in [1]. Now I finish another
> >>>>>> one
> >>>>>> round of cleanups and have a plan to fix several things (you can
> >>>>>> always find something that you really want to improve). But if you
> >>>>>> insist I could immediately switch to "send upstream" mode. And seems
> >>>>>> that this would be better approach.
> >>>>>>
> >>>>>> 1. https://dev.openwrt.org/log/trunk/target/linux/atheros
> >>>>>
> >>>>> And where can the related PULL requests or patch submissions be found?
> >>>>>
> >>>> I have not sent patches yet, since I thought that it would be easier
> >>>> to cleanup them in openwrt tree and then send them upstream.
> >>>
> >>> That excuse has worn a bit thin.  Perhaps Paul should repost his
> >>> removal and you can add a revert to the start of your patch series?
> >>>
> >> As for me, I do not like such flapping
> >
> > Agreed in case what you have is in a good enough shape. You (and also
> > others) can still clean up the code in upstream too. So, if it is
> > mergeable, send it for upstream inclusion now, otherwise I am all for
> > John to apply the Paul's patch.
> 
> Two days is the last deadline :)
> 
> > The unused code has been a way too long
> > in the tree now.
> 
> Code actively used in owrt firmware and its forks.

Is this code coming or not?  When can I expect to see it posted?

-- 
John W. Linville		Someday the world will need a hero, and you
[email-masked]			might be all we have.  Be ready.